%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Carp-Clan
Version:       6.08
Release:       1mamba
Summary:       Carp::Clan - Report errors from perspective of caller of a "clan" of modules
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Carp/Carp-Clan-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Test-Exception
Requires:      perl >= %perl_major_ver

%description
This module reports errors from the perspective of the caller of a "clan" of modules, similar to "Carp.pm" itself.

%prep
%setup -q -n Carp-Clan-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 6.08-1mamba
- automatic version update by autodist

* Sat Nov 24 2012 Davide Madrisan <davide.madrisan@gmail.com> 6.04-1mamba
- fix URL and update to 6.04

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 6.00-2mamba
- automatic rebuild by autodist

* Wed Jun 25 2008 Tiziana Ferro <tiziana.ferro@email.it> 6.00-1mamba
- update to 6.00

* Wed Oct 27 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 5.3-1qilnx
- package created by autospec
